Subject: bug#51366: Pure storage overflow warning in *GNU Emacs* buffer when [email-masked] is invoked

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 24 Oct 2021 18:29:28 +0200

Small followup:

Am Samstag, den 23.10.2021, 20:31 -0700 schrieb Calvin Heim:
> > Warning Warning!!!  Pure space overflow    !!!Warning Warning
> > (See the node Pure Storage in the Lisp manual for details.)
Said node says

> If Emacs will be dumped using the ‘pdump’ method (*note Building
> Emacs::), the pure-space overflow is of no special importance (it
> just means some of the preloaded stuff cannot be shared with other
> Emacs jobs).  However, if Emacs will be dumped using the now obsolete
> ‘unexec’ method, the resulting image will work, but garbage
> collection (*note Garbage Collection::) is disabled in this
> situation, causing a memory leak.
Guix-built Emacs uses pdumps since 27.1, so garbage collection should
still be enabled.  It might also be worth checking the Guix System vs.
foreign distro angle, as
> Such an overflow normally won’t happen unless you try to preload
> additional libraries or add features to the standard ones.

Is there anything noteworthy going on in stuff like LD_PRELOAD?

Regards,
Liliana